%***Vypocet histogramu***

%Nastavi se pocet sektoru
nastaveni.sektory.x     = str2num(get(findobj('Tag','oblasti_x'),'String'));% Pocet sektoru obrazu v ose x
nastaveni.sektory.y     = str2num(get(findobj('Tag','oblasti_y'),'String'));% Pocet sektoru obrazu v ose y

%Dopoctou se pomocny promeni
pamet.upraveny_obraz.rozmer.x_m = fix(pamet.upraveny_obraz.rozmer.x/nastaveni.sektory.x); %Cistej rozmer oblasti ve seru x
pamet.upraveny_obraz.rozmer.y_m = fix(pamet.upraveny_obraz.rozmer.y/nastaveni.sektory.y); %Cistej rozmer oblasti ve seru y
pamet.upraveny_obraz.rozmer.x_p = fix(rem(pamet.upraveny_obraz.rozmer.x,nastaveni.sektory.x)); %Oriylej okraj x
pamet.upraveny_obraz.rozmer.y_p = fix(rem(pamet.upraveny_obraz.rozmer.y,nastaveni.sektory.y)); %Oriylej okraj y
pamet.upraveny_obraz.rozmer.pixelu_sektor = double(pamet.upraveny_obraz.rozmer.x_m*pamet.upraveny_obraz.rozmer.y_m); %pocet pixlu v jednom sektoru

for x_i=1:nastaveni.sektory.x                                              %posun po sektorech v ose x 
    for y_i=1:nastaveni.sektory.y                                          %posun po sektorech v ose y
        pamet.upraveny_obraz.hisogram(x_i,y_i,1:255) = int32(0);           %vynulovani histogramu
        for x=1:pamet.upraveny_obraz.rozmer.x_m                            %posun v sektoru po pixelech v ose x
           for y=1:pamet.upraveny_obraz.rozmer.y_m                         %posun v sektoru po pixelech v ose y
               %podle jasu pixelu inkrementuje jednu hodnotu histogramu
               pamet.upraveny_obraz.hisogram(x_i,y_i,pamet.upraveny_obraz.img(x+(pamet.upraveny_obraz.rozmer.x_m*(x_i-1)),y+(pamet.upraveny_obraz.rozmer.y_m *(y_i-1)),1)+1) = pamet.upraveny_obraz.hisogram(x_i,y_i,pamet.upraveny_obraz.img(x+(pamet.upraveny_obraz.rozmer.x_m*(x_i-1)),y+(pamet.upraveny_obraz.rozmer.y_m *(y_i-1)),1)+1) + 1;  
           end
        end
    end
end
%vymazani pomocnych promenejch
clear x;
clear y;
clear x_i;
clear y_i;
set(findobj('Tag','Kontrolka_his'),'BackgroundColor','green');             % obarvi kontrolku ze je krok dokoncen

 